Retail Express API 2.1

fulfilmentorders

Searches fulfilment orders by parameters

Searches fulfilment orders by parameters

get
https://api.retailexpress.com.au/v2/fulfilment/fulfilmentorders

Query Parameters

order_item_idinteger | null(int32)

Order item id.

order_idinteger | null(int32)

Order id.

fulfilment_idinteger | null(int32)

Fulfilment id

fulfilment_service_idstring | null(uuid)

Fulfilment service id.

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns fulfilment orders

fulfilment.Order.PagingResponse

* Additional properties are NOT allowed.
dataOne Of
array | null

Order model.

fulfilment.ShippitOrderobject

Shippit order model.

* Additional properties are NOT allowed.
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/fulfilment/fulfilmentorders
 
application/json

Get specific fulfilment order by fulfilment id

Get specific fulfilment order by fulfilment id

get
https://api.retailexpress.com.au/v2/fulfilment/fulfilmentorders/{id}

Path Parameters

idinteger(int32)required

Fulfilment id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Success

Order model.

One Of
get/fulfilment/fulfilmentorders/{id}
 
application/json

inventory

Searches Inventories by parameters

Searches Inventories by parameters

get
https://api.retailexpress.com.au/v2/inventory

Query Parameters

sales_channel_idstring | null

Sales Channel Id or Collection of Sales Channel Ids (comma separated)
Example: 14,3,312

skustring | null

Product SKU or Collection of Product SKUs (comma separated)
Example: sku1,sku2,sku3

outlet_idstring | null

Outlet Id or Collection of Outlet Ids (comma separated)
Example: 1,2,3

product_idstring | null

Product Id or Collection of Product Ids (comma separated)
Example: 1,2,3

modified_sincestring | null(date-time)

Modified since search parameter

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Inventories data

Inventory.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Inventory view model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/inventory
 
application/json